## zowe › ops › execute › rexx

Execute the specified OPS/MVS REXX program.

#### Usage

zowe ops execute rexx <program> [options]

#### Positional Arguments

- `program` (string)

  - The name of the OPS/REXX source program. When enclosed in single quotes, the program name can be either a fully qualified data set name (sequential or PDS including member) or a member of a precompiled REXX data set. When not enclosed in quotes, the program name is expanded as follows: If it is in the format MYLIB, it is expanded to {USER_PREFIX}.MYLIB.REXX, where {USER_PREFIX} represents your default TSO prefix. If it is in the format MYLIB(MEMBER), it is expanded to {USER_PREFIX}.MYLIB.REXX(MEMBER). If it is in the format (MEMBER), it is expanded to {USER_PREFIX}.REXX(MEMBER).

#### Options

- `--argument` | `--arg` (string)

  - Specifies any characters to be passed to the OPS/REXX program. Leading blanks are stripped from the argument. Any embedded quotes will be passed on to the called OPS/REXX program unaltered and unfiltered. The length of the string cannot exceed 6144 characters.

- `--maxQueue` | `--mq` (string)

  - The maximum number of output lines that this OPS/REXX program can have in its external data queue.

- `--workspace` | `--ws` (string)

  - Defines the size of the OPS/REXX program workspace, in bytes. The workspace size limits the maximum number of nested calls, symbols, and values that can be used during program execution. If your program has a large memory requirement, use this size value to specify a workspace that is larger than the default of 1.5 MB.

- `--timeout` | `--to` (string)

  - The amount of elapsed time (in minutes) the OPS/REXX program is allowed to execute. If this parameter is not specified, the default value specified in the application.yml (configuration file for the REST API server) parameter 'opsmvs.rexxExecRunTimeout' will be used. If the value specified for this parameter is zero, then no timeout limit is imposed on the OPS/REXX program.

- `--outputLimit` | `--ol` (string)

  - The maximum number of output lines the OPS/REXX program is allowed to generate before the OPS/REXX program is canceled. If this parameter is not specified, the default value specified in the application.yml (configuration file for the REST API server) parameter 'opsmvs.rexxExecOutputLimit' will be used. If the value for this parameter is zero, then no output limit is imposed on the OPS/REXX program.

- `--wait` | `-w` (number)

  - Wait for the specified number of seconds for the OPS/MVS REXX program to end and the output to be returned. By default the command waits a maximum of 10 seconds for the output to be returned.

    Default value: 10

- `--format` | `-f` (string)

  - Format of the displayed output.

    Default value: namevalue
    Allowed values: namevalue, namevaluecolor, csv, json

#### OPS/MVS Web Services / REST API connection options

- `--user` (string)

  - Your z/OS user name that is used to authenticate to OPS/MVS Web Services / REST API.

- `--password` | `--pass` (string)

  - Your z/OS password that is used to authenticate to OPS/MVS Web Services / REST API.

- `--host` (string)

  - The hostname of the server where OPS/MVS Web Services / REST API is running.

- `--port` | `-p` (number)

  - The port number for OPS/MVS Web Services / REST API.

- `--reject-unauthorized` | `--ru` (boolean)

  - If set to true, the server certificate is verified against the list of supplied CAs. If set to false, certificate verification is not performed.

    Default value: true

- `--protocol` | `--prot` (string)

  - The protocol that is used for connecting to OPS/MVS Web Services / REST API.

    Default value: https
    Allowed values: http, https

- `--subsystem` | `--subs` (string)

  - Specifies the subsystem ID of the OPS/MVS instance to which commands will be directed. This parameter is ignored by the 'show status' and 'show subsystem' commands.

    Default value: OPSS

- `--rest-api` | `--ra` (boolean)

  - If set to true, the plug-in executes the command against the OPS/MVS REST API. If set to false, the plug-in executes against the OPS/MVS Web Services.

    Default value: false

- `--base-path` | `--bp` (string)

  - NOTE: This parameter can only be used with the REST API server. Specifies the base path for your Zowe API Mediation Layer instance. Specify this option to prepend the base path to all resources when making REST requests. Only specify this option if you are using an Zowe API Mediation Layer.

#### Profile Options

- `--ops-profile` | `--ops-p` (string)

  - The name of a (ops) profile to load for this command execution.

- `--base-profile` | `--base-p` (string)

  - The name of a (base) profile to load for this command execution.

#### Base Connection Options

- `--token-type` | `--tt` (string)

  - The type of token to get and use for the API. Omit this option to use the default token type, which is provided by 'zowe auth login'.

- `--token-value` | `--tv` (string)

  - The value of the token to pass to the API.

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication.

    Note: The CLI does not support certificate files that require a password. For more information, search Troubleshooting PEM Certificates in Zowe Docs.

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication

#### Examples

- Execute the REXX program "PROGRAM" in the dataset "OPS.REXX" on the "OPSS" subsystem.:

  - `zowe ops execute rexx "OPS.REXX(PROGRAM)" --subsystem "OPSS"`

- Execute the REXX program "PROGRAM" in the dataset "{USER_PREFIX}.REXX" on the "OPSS" subsystem.:

  - `zowe ops execute rexx "(PROGRAM)" --subsystem "OPSS"`